Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1104032 - Review Request: php-pecl-ssdeep - Wrapper for libfuzzy library
Review Request: php-pecl-ssdeep - Wrapper for libfuzzy library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-03 02:50 EDT by Remi Collet
Modified: 2014-08-07 07:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-pecl-ssdeep-1.0.4-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-01 02:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (8.81 KB, text/plain)
2014-07-21 15:03 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (3.13 KB, text/x-log)
2014-07-21 15:04 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-06-03 02:50:01 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/1173c63786e64118ab9f8e8069a2b666f8c33ac3/php/pecl/php-pecl-ssdeep/php-pecl-ssdeep.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-ssdeep-1.0.4-1.remi.src.rpm
Description: 
The ssdeep project page describes it as a library for
"...computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies.
Such inputs have sequences of identical bytes in the same order,
although bytes in between these sequences may be different in both
content and length".

For an in depth paper explaining context triggered piecewise hashes please
see http://dfrws.org/2006/proceedings/12-Kornblum.pdf

This extensions wraps the ssdeep fuzzy hashing API created by Jesse Kornblum.

Documentation: http://php.net/ssdeep

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2014-07-21 15:03:44 EDT
Created attachment 919736 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1104032
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Shawn Iwinski 2014-07-21 15:04:14 EDT
Created attachment 919737 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 3 Shawn Iwinski 2014-07-21 15:05:19 EDT
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     php-pecl-ssdeep.x86_64: W: wrong-file-end-of-line-encoding /usr/share/tests/pecl/ssdeep/tests/ssdeep.phpt
     php-pecl-ssdeep.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/pecl/ssdeep/LICENSE
     php-pecl-ssdeep.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/pecl/ssdeep/examples/example.php

     Non-blockers.  Fix after initial import.



No blockers.

===== APPROVED =====
Comment 4 Remi Collet 2014-07-21 15:09:36 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-pecl-ssdeep
Short Description: Wrapper for libfuzzy library 
Upstream URL: http://pecl.php.net/package/ssdeep
Owners: remi
Branches: f19 f20 f21 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2014-07-21 16:09:53 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2014-07-22 04:28:22 EDT
php-pecl-ssdeep-1.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pecl-ssdeep-1.0.4-1.fc20
Comment 7 Fedora Update System 2014-07-22 04:28:28 EDT
php-pecl-ssdeep-1.0.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-ssdeep-1.0.4-1.el6
Comment 8 Fedora Update System 2014-07-22 14:09:54 EDT
php-pecl-ssdeep-1.0.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2014-08-01 02:04:41 EDT
php-pecl-ssdeep-1.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2014-08-07 07:46:54 EDT
php-pecl-ssdeep-1.0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.